org.appng.api.rest.model

## Class ActionField

- java.lang.Object
- - org.appng.api.rest.model.ActionField

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class ActionField
      extends Object
      implements Serializable

  A single field as a part of an action.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionField` | `addFieldsItem(ActionField fieldsItem)`
    `ActionField` | `addMessagesItem(Message messagesItem)`
    `ActionField` | `addRulesItem(ValidationRule rulesItem)`
    `boolean` | `equals(Object o)`
    `ActionField` | `fields(List<ActionField> fields)`
    `ActionField` | `fieldType(FieldType fieldType)`
    `ActionField` | `format(String format)`
    `ActionField` | `formattedValue(String formattedValue)`
    `List<ActionField>` | `getFields()` The child fields of this fieldValue.
    `FieldType` | `getFieldType()` The type for the field.
    `String` | `getFormat()` The format for this field, depending on its type.
    `String` | `getFormattedValue()` The formatted value for this field.
    `String` | `getLabel()` The label for the field.
    `List<Message>` | `getMessages()` The messages related to this field.
    `String` | `getName()` The name of the field.
    `Options` | `getOptions()` The options for this filter.
    `List<ValidationRule>` | `getRules()` The validation rules that should be applied for this field.
    `Object` | `getValue()` The value of the field.
    `int` | `hashCode()`
    `Boolean` | `isReadonly()` Whether or not this field is read-only.
    `Boolean` | `isVisible()` Whether or not this field should be visible.
    `ActionField` | `label(String label)`
    `ActionField` | `messages(List<Message> messages)`
    `ActionField` | `name(String name)`
    `ActionField` | `options(Options options)`
    `ActionField` | `readonly(Boolean readonly)`
    `ActionField` | `rules(List<ValidationRule> rules)`
    `void` | `setFields(List<ActionField> fields)`
    `void` | `setFieldType(FieldType fieldType)`
    `void` | `setFormat(String format)`
    `void` | `setFormattedValue(String formattedValue)`
    `void` | `setLabel(String label)`
    `void` | `setMessages(List<Message> messages)`
    `void` | `setName(String name)`
    `void` | `setOptions(Options options)`
    `void` | `setReadonly(Boolean readonly)`
    `void` | `setRules(List<ValidationRule> rules)`
    `void` | `setValue(Object value)`
    `void` | `setVisible(Boolean visible)`
    `String` | `toString()`
    `ActionField` | `value(Object value)`
    `ActionField` | `visible(Boolean visible)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionField

          public ActionField()

  - ### Method Detail

    - #### name

          public ActionField name(String name)

    - #### getName

          public String getName()

      The name of the field.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public ActionField value(Object value)

    - #### getValue

          public Object getValue()

      The value of the field. The concrete type of that object depends on the fieldType of this field.
      Returns:
        value

    - #### setValue

          public void setValue(Object value)

    - #### label

          public ActionField label(String label)

    - #### getLabel

          public String getLabel()

      The label for the field.
      Returns:
        label

    - #### setLabel

          public void setLabel(String label)

    - #### fieldType

          public ActionField fieldType(FieldType fieldType)

    - #### getFieldType

          public FieldType getFieldType()

      The type for the field.
      Returns:
        fieldType

    - #### setFieldType

          public void setFieldType(FieldType fieldType)

    - #### readonly

          public ActionField readonly(Boolean readonly)

    - #### isReadonly

          public Boolean isReadonly()

      Whether or not this field is read-only.
      Returns:
        readonly

    - #### setReadonly

          public void setReadonly(Boolean readonly)

    - #### visible

          public ActionField visible(Boolean visible)

    - #### isVisible

          public Boolean isVisible()

      Whether or not this field should be visible.
      Returns:
        visible

    - #### setVisible

          public void setVisible(Boolean visible)

    - #### format

          public ActionField format(String format)

    - #### getFormat

          public String getFormat()

      The format for this field, depending on its type.
      Returns:
        format

    - #### setFormat

          public void setFormat(String format)

    - #### formattedValue

          public ActionField formattedValue(String formattedValue)

    - #### getFormattedValue

          public String getFormattedValue()

      The formatted value for this field.
      Returns:
        formattedValue

    - #### setFormattedValue

          public void setFormattedValue(String formattedValue)

    - #### options

          public ActionField options(Options options)

    - #### getOptions

          public Options getOptions()

      The options for this filter.
      Returns:
        options

    - #### setOptions

          public void setOptions(Options options)

    - #### rules

          public ActionField rules(List<ValidationRule> rules)

    - #### addRulesItem

          public ActionField addRulesItem(ValidationRule rulesItem)

    - #### getRules

          public List<ValidationRule> getRules()

      The validation rules that should be applied for this field.
      Returns:
        rules

    - #### setRules

          public void setRules(List<ValidationRule> rules)

    - #### messages

          public ActionField messages(List<Message> messages)

    - #### addMessagesItem

          public ActionField addMessagesItem(Message messagesItem)

    - #### getMessages

          public List<Message> getMessages()

      The messages related to this field.
      Returns:
        messages

    - #### setMessages

          public void setMessages(List<Message> messages)

    - #### fields

          public ActionField fields(List<ActionField> fields)

    - #### addFieldsItem

          public ActionField addFieldsItem(ActionField fieldsItem)

    - #### getFields

          public List<ActionField> getFields()

      The child fields of this fieldValue.
      Returns:
        fields

    - #### setFields

          public void setFields(List<ActionField> fields)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.